/*
 * THIS FILE WAS AUTOMATICALLY GENERATED, DO NOT EDIT.
 *
 * Copyright (C) 2011 Google Inc.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY GOOGLE, INC. ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL APPLE INC. OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#pragma once

namespace WebCore {

enum EventInterface {
#if ENABLE(APPLE_PAY)
    ApplePayCancelEventInterfaceType = 1,
    ApplePayPaymentAuthorizedEventInterfaceType = 2,
    ApplePayPaymentMethodSelectedEventInterfaceType = 3,
    ApplePayShippingContactSelectedEventInterfaceType = 4,
    ApplePayShippingMethodSelectedEventInterfaceType = 5,
    ApplePayValidateMerchantEventInterfaceType = 6,
#endif
#if ENABLE(APPLE_PAY_COUPON_CODE)
    ApplePayCouponCodeChangedEventInterfaceType = 7,
#endif
#if ENABLE(DEVICE_ORIENTATION)
    DeviceMotionEventInterfaceType = 8,
    DeviceOrientationEventInterfaceType = 9,
#endif
#if ENABLE(ENCRYPTED_MEDIA)
    MediaEncryptedEventInterfaceType = 10,
    MediaKeyMessageEventInterfaceType = 11,
#endif
#if ENABLE(GAMEPAD)
    GamepadEventInterfaceType = 12,
#endif
#if ENABLE(IOS_GESTURE_EVENTS) || ENABLE(MAC_GESTURE_EVENTS)
    GestureEventInterfaceType = 13,
#endif
#if ENABLE(LEGACY_ENCRYPTED_MEDIA)
    WebKitMediaKeyMessageEventInterfaceType = 14,
    WebKitMediaKeyNeededEventInterfaceType = 15,
#endif
#if ENABLE(MEDIA_STREAM)
    BlobEventInterfaceType = 16,
    MediaRecorderErrorEventInterfaceType = 17,
    MediaStreamTrackEventInterfaceType = 18,
    OverconstrainedErrorEventInterfaceType = 19,
#endif
#if ENABLE(ORIENTATION_EVENTS)
#endif
#if ENABLE(PAYMENT_REQUEST)
    MerchantValidationEventInterfaceType = 20,
    PaymentMethodChangeEventInterfaceType = 21,
    PaymentRequestUpdateEventInterfaceType = 22,
#endif
#if ENABLE(PICTURE_IN_PICTURE_API)
    EnterPictureInPictureEventInterfaceType = 23,
#endif
#if ENABLE(SERVICE_WORKER)
    ExtendableEventInterfaceType = 24,
    ExtendableMessageEventInterfaceType = 25,
    FetchEventInterfaceType = 26,
#endif
#if ENABLE(SPEECH_SYNTHESIS)
    SpeechSynthesisEventInterfaceType = 27,
#endif
#if ENABLE(TOUCH_EVENTS)
    TouchEventInterfaceType = 28,
#endif
#if ENABLE(VIDEO)
    TrackEventInterfaceType = 29,
#endif
#if ENABLE(WEBGL)
    WebGLContextEventInterfaceType = 30,
#endif
#if ENABLE(WEBXR)
    XRInputSourceEventInterfaceType = 31,
    XRInputSourcesChangeEventInterfaceType = 32,
    XRReferenceSpaceEventInterfaceType = 33,
    XRSessionEventInterfaceType = 34,
#endif
#if ENABLE(WEB_AUDIO)
    AudioProcessingEventInterfaceType = 35,
    OfflineAudioCompletionEventInterfaceType = 36,
#endif
#if ENABLE(WEB_RTC)
    RTCDTMFToneChangeEventInterfaceType = 37,
    RTCDataChannelEventInterfaceType = 38,
    RTCErrorEventInterfaceType = 39,
    RTCPeerConnectionIceErrorEventInterfaceType = 40,
    RTCPeerConnectionIceEventInterfaceType = 41,
    RTCRtpSFrameTransformErrorEventInterfaceType = 42,
    RTCTrackEventInterfaceType = 43,
    RTCTransformEventInterfaceType = 44,
#endif
#if ENABLE(WIRELESS_PLAYBACK_TARGET)
    WebKitPlaybackTargetAvailabilityEventInterfaceType = 45,
#endif
    AnimationEventInterfaceType = 46,
    AnimationPlaybackEventInterfaceType = 47,
    BeforeLoadEventInterfaceType = 48,
    BeforeUnloadEventInterfaceType = 49,
    ClipboardEventInterfaceType = 50,
    CloseEventInterfaceType = 51,
    CompositionEventInterfaceType = 52,
    CustomEventInterfaceType = 53,
    DragEventInterfaceType = 54,
    ErrorEventInterfaceType = 55,
    EventInterfaceType = 56,
    FocusEventInterfaceType = 57,
    FormDataEventInterfaceType = 58,
    HashChangeEventInterfaceType = 59,
    IDBVersionChangeEventInterfaceType = 60,
    InputEventInterfaceType = 61,
    KeyboardEventInterfaceType = 62,
    MediaQueryListEventInterfaceType = 63,
    MessageEventInterfaceType = 64,
    MouseEventInterfaceType = 65,
    MutationEventInterfaceType = 66,
    OverflowEventInterfaceType = 67,
    PageTransitionEventInterfaceType = 68,
    PointerEventInterfaceType = 69,
    PopStateEventInterfaceType = 70,
    ProgressEventInterfaceType = 71,
    PromiseRejectionEventInterfaceType = 72,
    SVGZoomEventInterfaceType = 73,
    SecurityPolicyViolationEventInterfaceType = 74,
    SpeechRecognitionErrorEventInterfaceType = 75,
    SpeechRecognitionEventInterfaceType = 76,
    StorageEventInterfaceType = 77,
    SubmitEventInterfaceType = 78,
    TextEventInterfaceType = 79,
    TransitionEventInterfaceType = 80,
    UIEventInterfaceType = 81,
    WebKitAnimationEventInterfaceType = 82,
    WebKitTransitionEventInterfaceType = 83,
    WheelEventInterfaceType = 84,
    XMLHttpRequestProgressEventInterfaceType = 85,
};

} // namespace WebCore
